Subject: Re: git rm / format-patch / am fails on my file: patch does not apply

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Nov 2013 09:04:47 -0800

Ken Tanzer <[email-masked]> writes:

>> I am not very much surprised if such a file misbehaves, because the
>> "format-patch | am" pipeline is designed to be used on patches that
>> can be transferred in plain-text e-mail safely.  Long lines should
>> probably be OK, but mixed CRLF, CR and LF may be problematic.
>
> I'm not sure I understand this comment.  format-patch seems to work
> fine on binary files.

Yes.

The problematic is when you tell it to process text files, taking
into account various common text breakages may be introduced to the
payload, and line-end conversion is among the operations that the
user may be telling it to munge the perfectly-fine input, in an
attempt to compensate.